# $Revision: 1.7 $, $Date: 2005/03/25 11:42:34 $
Summary:	Real-time MIDI sequencer
Summary(pl):	Sekwencer MIDI dziaajcy w czasie rzeczywistym
Name:		seq24
Version:	0.6.3
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://filter24.org/seq24/%{name}-%{version}.tar.gz
# Source0-md5:	d55f6bd6cf3b4b9c72a5da4444ae5cd3
Source1:	%{name}.desktop
URL:		http://filter24.org/seq24/
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtkmm22-devel
BuildRequires:	jack-audio-connection-kit-devel >= 0.90.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
Requires:	gtkmm22
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Seq24 is a real-time midi sequencer. It was created to provide a very
simple interface for editing and playing MIDI 'loops'.

%description -l pl
Seq24 jest sekwencerem dziaajcym w czasie rzeczywistym. Zosta
stworzony z myl o prostocie interfejsu do edycji i odtwarzania
'ptli' MIDI.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README RTC SEQ24
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seq24.spec,v $
Revision 1.7  2005/03/25 11:42:34  freetz
- force R: gtkmm22

Revision 1.6  2005/03/25 11:38:28  freetz
- 0.6.3, updated BRs

Revision 1.5  2004/11/04 12:06:47  paladine
- rel 2 for fixed desktop file

Revision 1.4  2004/10/03 13:04:00  freetz
- 0.5.2, gcc 3.4.x safe

Revision 1.3  2004/03/28 15:19:48  freetz
- rel. 1 (compilation problems are only nptl related)

Revision 1.2  2004/02/21 21:03:17  freetz
- typo in changelog

Revision 1.1  2004/02/21 21:00:28  freetz
- initial PLD release (note: compilation problems NFY)

